net.fortuna.ical4j.filter

## Class AbstractDateRule

- java.lang.Object
- - net.fortuna.ical4j.filter.AbstractDateRule

All Implemented Interfaces:
  Rule

Direct Known Subclasses:
  DateInRangeRule

    public abstract class AbstractDateRule
    extends Object
    implements Rule

Author:
  fortuna

### Constructor Summary

Constructors
Constructor and Description
`AbstractDateRule()`

### Method Summary

Methods
`protected abstract boolean` `match(Date date)`
`boolean` `match(Object o)` Indicates whether the specified object passes the conditions required to match this rule.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractDateRule

    public AbstractDateRule()

### Method Detail

#### match

    public boolean match(Object o)

Indicates whether the specified object passes the conditions required to match this rule.

Specified by:
  `match` in interface `Rule`
Parameters:
  `o` - an object to match
Returns:
  boolean indicated if the specified object matches this rule

#### match

    protected abstract boolean match(Date date)

Parameters:
  `date` - the date to check
Returns:
  true if the date matches rule requirements, otherwise false